%define upstream_name    GnuPG
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the GNU privacy guard
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
GnuPG is a perl interface to the GNU Privacy Guard. It uses the shared
memory coprocess interface that gpg provides for its wrappers. It tries its
best to map the interactive interface of the gpg to a more programmatic
model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING ChangeLog META.json META.yml NEWS README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/gpgmailtunl
/usr/share/man/man1/gpgmailtunl.1.xz

%changelog

* Tue Nov 22 2011 kharec <kharec> 0.180.0-1.mga2
+ Revision: 171015
- update to 0.18

* Tue Nov 22 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 170938
- imported package perl-GnuPG


* Tue Nov 22 2011 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
